Package org.eclipse.cdt.core.templateengine.process

# Class ProcessRunnerFactory

java.lang.Object
org.eclipse.cdt.core.templateengine.process.ProcessRunnerFactory

public class ProcessRunnerFactory extends Object
Factory class for creating the Process Runners.

## Method Summary

Modifier and Type
Method
Description
`static ProcessRunnerFactory`
`getDefault()`
`ProcessRunner`
`getProcessRunner(String processType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDefault

public static ProcessRunnerFactory getDefault()

Returns:
  the singleton `ProcessRunnerFactory`

### getProcessRunner

public ProcessRunner getProcessRunner(String processType)

Parameters:
  `processType` -
Returns:
  the ProcessRunner based on the ProcessType.